DEV Community

loading...

Discussion on: Announcing npm7

Collapse
huncyrus profile image
huncyrus

I am curious about backward compatibility. Does an old project break if I will try to use the new npm or not? :D (probably not, but the golder rule: do not upgrade anything until you are not released and hotfixed the product)

Collapse
ruyadorno profile image
Ruy Adorno Author

One of the goals is to try and minimize the breaking changes 😄 but since this is a major version bump there are a few to be expected - in all cases if you want to err on the side of safety then the best thing to do is to wait until v7 lands on npm latest tag as mentioned in the GitHub blog post (that is going to be our equivalent of a LTS release) 😊